# Class CounterDouble

java.lang.Object
org.snpeff.stats.CounterDouble

public class CounterDouble extends Object
A simple class that counts... Note: This is probably the best piece of software I'll ever write! :-P

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`count`

## Constructor Summary

Constructors
Constructor
Description
`CounterDouble()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(double d)`
`void`
`add(long add)`
`void`
`dec()`
`double`
`get()`
`double`
`getCount()`
`void`
`inc()`
`void`
`max(double d)`
`void`
`min(double d)`
`void`
`reset()`
`void`
`set(double newCount)`
`void`
`sub(double d)`
`void`
`sub(long sub)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### count

public double count

## Constructor Details

### CounterDouble

public CounterDouble()

## Method Details

### add

public void add(double d)

### add

public void add(long add)

### dec

public void dec()

### get

public double get()

### getCount

public double getCount()

### inc

public void inc()

### max

public void max(double d)

### min

public void min(double d)

### reset

public void reset()

### set

public void set(double newCount)

### sub

public void sub(double d)

### sub

public void sub(long sub)

### toString

public String toString()

Overrides:
  `toString` in class `Object`